/*! 
    \file event_def.h
    \brief some central definitions

*/

#ifndef _EVENT_DEF_H
#define _EVENT_DEF_H

#include "SDL_keysym.h"

/*
int PEV_UP = 0;
int PEV_DOWN = 0;
int PEV_LEFT = 0;
int PEV_RIGHT = 0;

    PEV_STRAFE_LEFT,
    PEV_STRAFE_RIGHT,

    PEV_FIRE1,
    PEV_FIRE2,

    PEV_VIEW1,
    PEV_VIEW2,
    PEV_VIEW3,
    PEV_VIEW4
*/



#define CMD_LENGHT 16
#define N_STD_KEYS SDLK_LAST
#define N_BUTTONS 6
#define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"

#define EVENT_QUEUE_LENGTH 32

typedef enum extEventTyes
  {
    EV_MOUSE_MOTION = SDLK_LAST,
    EV_MOUSE_BUTTON,
    EV_JOY_AXIS_MOTION,
    EV_JOY_BALL_MOTION,
    EV_JOY_HAT_MOTION,
    EV_JOY_BUTTON,

    EV_NUMBER
  };



typedef enum elState
  {
    ES_GAME,
    ES_GAME_MENU,
    ES_MENU,

    ES_ALL,

    ES_NUMBER,
  };


#endif /* _EVENT_DEF_H */
